Jump to content

ERROR: ld.so: object 'libfakechroot.so' from LD_PRELOAD cannot be preloaded (cannot open shared object file): ignored.


abarbarian
 Share

Recommended Posts

abarbarian

I can not find a answer to this on the net.

 

Tried to reinstall "base-devel" following one answer but it made no difference.

 

 Put brain in gear before pressing enter09:02:18-->Wed Sep 28-->~
-->paci base-devel
ERROR: ld.so: object 'libfakechroot.so' from LD_PRELOAD cannot be preloaded (cannot open shared object file): ignored.
:: There are 25 members in group base-devel:
:: Repository core
   1) archlinux-keyring  2) autoconf  3) automake  4) binutils  5) bison
   6) fakeroot  7) file  8) findutils  9) flex  10) gawk  11) gcc  12) gettext
   13) grep  14) groff  15) gzip  16) libtool  17) m4  18) make  19) pacman
   20) patch  21) pkgconf  22) sed  23) sudo  24) texinfo  25) which

Enter a selection (default=all): 
warning: archlinux-keyring-20220927-1 is up to date -- reinstalling
warning: autoconf-2.71-1 is up to date -- reinstalling
warning: automake-1.16.5-1 is up to date -- reinstalling
warning: binutils-2.39-3 is up to date -- reinstalling
warning: bison-3.8.2-4 is up to date -- reinstalling
warning: fakeroot-1.29-1 is up to date -- reinstalling
warning: file-5.43-1 is up to date -- reinstalling
warning: findutils-4.9.0-1 is up to date -- reinstalling
warning: flex-2.6.4-3 is up to date -- reinstalling
warning: gawk-5.2.0-3 is up to date -- reinstalling
warning: gcc-12.2.0-1 is up to date -- reinstalling
warning: gettext-0.21-2 is up to date -- reinstalling
warning: grep-3.8-2 is up to date -- reinstalling
warning: groff-1.22.4-7 is up to date -- reinstalling
warning: gzip-1.12-1 is up to date -- reinstalling
warning: libtool-2.4.7-5 is up to date -- reinstalling
warning: m4-1.4.19-1 is up to date -- reinstalling
warning: make-4.3-3 is up to date -- reinstalling
warning: pacman-6.0.1-8 is up to date -- reinstalling
warning: patch-2.7.6-8 is up to date -- reinstalling
warning: pkgconf-1.8.0-1 is up to date -- reinstalling
warning: sed-4.8-1 is up to date -- reinstalling
warning: sudo-1.9.11.p3-1 is up to date -- reinstalling
warning: texinfo-6.8-2 is up to date -- reinstalling
warning: which-2.21-5 is up to date -- reinstalling
resolving dependencies...
looking for conflicting packages...

Packages (25) archlinux-keyring-20220927-1  autoconf-2.71-1  automake-1.16.5-1
              binutils-2.39-3  bison-3.8.2-4  fakeroot-1.29-1  file-5.43-1
              findutils-4.9.0-1  flex-2.6.4-3  gawk-5.2.0-3  gcc-12.2.0-1
              gettext-0.21-2  grep-3.8-2  groff-1.22.4-7  gzip-1.12-1
              libtool-2.4.7-5  m4-1.4.19-1  make-4.3-3  pacman-6.0.1-8
              patch-2.7.6-8  pkgconf-1.8.0-1  sed-4.8-1  sudo-1.9.11.p3-1
              texinfo-6.8-2  which-2.21-5

Total Installed Size:  269.51 MiB
Net Upgrade Size:        0.00 MiB

:: Proceed with installation? [Y/n] y
:: Retrieving packages...
 autoconf-2.71-1-any is up to date
 make-4.3-3-x86_64 is up to date
 flex-2.6.4-3-x86_64 is up to date
 sed-4.8-1-x86_64 is up to date
 patch-2.7.6-8-x86_64 is up to date
 which-2.21-5-x86_64 is up to date
(25/25) checking keys in keyring                   [######################] 100%
(25/25) checking package integrity                 [######################] 100%
(25/25) loading package files                      [######################] 100%
(25/25) checking for file conflicts                [######################] 100%
(25/25) checking available disk space              [######################] 100%
:: Processing package changes...
( 1/25) reinstalling gettext                       [######################] 100%
( 2/25) reinstalling gawk                          [######################] 100%
( 3/25) reinstalling grep                          [######################] 100%
( 4/25) reinstalling findutils                     [######################] 100%
( 5/25) reinstalling pacman                        [######################] 100%
( 6/25) reinstalling archlinux-keyring             [######################] 100%
==> Appending keys from archlinux.gpg...
==> Updating trust database...
gpg: next trustdb check due at 2022-11-16
==> Updating trust database...
gpg: next trustdb check due at 2022-11-16
( 7/25) reinstalling m4                            [######################] 100%
( 8/25) reinstalling autoconf                      [######################] 100%
( 9/25) reinstalling automake                      [######################] 100%
(10/25) reinstalling binutils                      [######################] 100%
(11/25) reinstalling bison                         [######################] 100%
(12/25) reinstalling sed                           [######################] 100%
(13/25) reinstalling file                          [######################] 100%
(14/25) reinstalling fakeroot                      [######################] 100%
(15/25) reinstalling flex                          [######################] 100%
(16/25) reinstalling gcc                           [######################] 100%
(17/25) reinstalling groff  
(18/25) reinstalling gzip                          [######################] 100%
(19/25) reinstalling libtool                       [######################] 100%
(20/25) reinstalling texinfo                       [######################] 100%
(21/25) reinstalling make                          [######################] 100%
(22/25) reinstalling patch                         [######################] 100%
(23/25) reinstalling pkgconf                       [######################] 100%
(24/25) reinstalling sudo                          [######################] 100%
(25/25) reinstalling which                         [######################] 100%
:: Running post-transaction hooks...
(1/5) Reloading system manager configuration...
(2/5) Creating temporary files...
(3/5) Arming ConditionNeedsUpdate...
(4/5) Cleaning pacman cache and uninstalled packages leaving one copy of the packages in the cache...
==> no candidate packages found for pruning
(5/5) Updating the info directory file...
 Put brain in gear before pressing enter09:26:53-->Wed Sep 28-->~
-->pacu
ERROR: ld.so: object 'libfakechroot.so' from LD_PRELOAD cannot be preloaded (cannot open shared object file): ignored.
:: Synchronising package databases...
 core is up to date
 extra is up to date
 community               7.0 MiB  3.81 MiB/s 00:02 [######################] 100%
 multilib is up to date
:: Starting full system upgrade...
 there is nothing to do
:: Starting AUR upgrade...
:: steam-fonts is not present in AUR -- skipping
 there is nothing to do
 Put brain in gear before pressing enter09:27:27-->Wed Sep 28-->~

 

This advice came from Redit which also suggested looking at the log of "makepkg" but I get this when trying,

 

 Put brain in gear before pressing enter09:27:27-->Wed Sep 28-->~
-->makepkg -L
==> ERROR: PKGBUILD does not exist.

 

So am extremely puzzled. 🤔

Link to comment
Share on other sites

abarbarian
12 hours ago, securitybreach said:

Do you have fakechroot installed?

 

Yes.

 

However the problem seems to have resolved itself.  So this mystery is not solved but all is back to normal. I personally think I have a gremlin that keeps on dropping in for fleeting visits.

Or because Arch is just so so jaw droppingly boring to run the devs keep on inventing small nuisances to keep us all on our toes. 😙

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...